Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Validators
Class CustomerValidator

    java.lang.Object
      Validators.CustomerValidator

public class CustomerValidator
extends java.lang.Object

Author:
  student This class is being used for validation of a given customer data.

Field Summary
`private java.lang.String` | `message`

Constructor Summary
`CustomerValidator()`

Method Summary
`java.lang.String` | `getMessage()` This method is being used for getting an error message if the validation was unsuccessful.
`void` | `setMessage(java.lang.String message)` Method: setMessage This method is being used for setting an error message if the validation is unsuccessful.
`boolean` | `validate(Customer_Data customerData)` This method is being used for validation of customer data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### message

    private java.lang.String message

Constructor Detail

### CustomerValidator

    public CustomerValidator()

Method Detail

### getMessage

    public java.lang.String getMessage()

  This method is being used for getting an error message if the validation was unsuccessful.

  Returns:
    String The message to be displayed.

### setMessage

    public void setMessage(java.lang.String message)

  Method: setMessage This method is being used for setting an error message if the validation is unsuccessful.

  Parameters:
    `message` - The message to be displayed.
  Returns:
    void

### validate

    public boolean validate(Customer_Data customerData)

  This method is being used for validation of customer data.

  Parameters:
    `customerData` - The customer details that are to be validated.
  Returns:
    boolean Specifies whether the validation was successful.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD